Fix building with C++14, which errors out due to bool -> T* conversions
See also: https://bugs.gentoo.org/show_bug.cgi?id=594234

--- a/xsec/enc/OpenSSL/OpenSSLCryptoSymmetricKey.hpp
+++ b/xsec/enc/OpenSSL/OpenSSLCryptoSymmetricKey.hpp
@@ -151,7 +151,7 @@
 							 SymmetricKeyMode mode = MODE_CBC,
 							 const unsigned char * iv = NULL,
                              const unsigned char* tag = NULL,
-                             unsigned int taglen = NULL);
+                             unsigned int taglen = 0);
 
 	/**
 	 * \brief Continue an decrypt operation using this key.
--- a/xsec/enc/XSECCryptoSymmetricKey.hpp
+++ b/xsec/enc/XSECCryptoSymmetricKey.hpp
@@ -185,7 +185,7 @@
 							 SymmetricKeyMode mode = MODE_CBC,
 							 const unsigned char* iv = NULL,
                              const unsigned char* tag = NULL,
-                             unsigned int taglen = NULL) = 0;
+                             unsigned int taglen = 0) = 0;
 
 	/**
 	 * \brief Continue a decrypt operation using this key.
--- a/xsec/tools/checksig/InteropResolver.cpp
+++ b/xsec/tools/checksig/InteropResolver.cpp
@@ -645,7 +645,7 @@
 
 	}
 
-	return false;
+	return NULL;
 
 }
 
